## EConfigLookupResult

EConfigLookupResult — Configuration lookup result interface

## Functions

EConfigLookupResultKind | e_config_lookup_result_get_kind ()
gint | e_config_lookup_result_get_priority ()
gboolean | e_config_lookup_result_get_is_complete ()
const gchar * | e_config_lookup_result_get_protocol ()
const gchar * | e_config_lookup_result_get_display_name ()
const gchar * | e_config_lookup_result_get_description ()
const gchar * | e_config_lookup_result_get_password ()
gboolean | e_config_lookup_result_configure_source ()
gint | e_config_lookup_result_compare ()
gboolean | e_config_lookup_result_equal ()

## Types and Values

#define | E_CONFIG_LOOKUP_RESULT_PRIORITY_IMAP
#define | E_CONFIG_LOOKUP_RESULT_PRIORITY_POP3
#define | E_CONFIG_LOOKUP_RESULT_PRIORITY_SMTP

## Object Hierarchy

        GInterface
        ╰── EConfigLookupResult

## Includes

    #include <e-util/e-util.h>

## Description

EConfigLookupResult is an interface which actual results need to implement. Such result holds information about one kind and knows how to setup an ESource with the looked up values.

Simple changes can be saved using EConfigLookupResultSimple object.

## Functions

### e_config_lookup_result_get_kind ()

    EConfigLookupResultKind
    e_config_lookup_result_get_kind (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

the result kind, one of EConfigLookupResultKind, this lookup result corresponds to

Since: 3.26

### e_config_lookup_result_get_priority ()

    gint
    e_config_lookup_result_get_priority (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

the result priority; lower value means higher priority

Since: 3.26

### e_config_lookup_result_get_is_complete ()

    gboolean
    e_config_lookup_result_get_is_complete
                                   (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

whether the result is complete, that is, whether it doesn't require any further user interaction

Since: 3.26

### e_config_lookup_result_get_protocol ()

    const gchar *
    e_config_lookup_result_get_protocol (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

if applicable, returns the protocol of this `lookup_result` , or `NULL` if not set, or not known, or not applicable.

[nullable]

Since: 3.26

### e_config_lookup_result_get_display_name ()

    const gchar *
    e_config_lookup_result_get_display_name
                                   (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

human readable display name of this `lookup_result`

Since: 3.26

### e_config_lookup_result_get_description ()

    const gchar *
    e_config_lookup_result_get_description
                                   (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

human readable description of this `lookup_result`

Since: 3.26

### e_config_lookup_result_get_password ()

    const gchar *
    e_config_lookup_result_get_password (EConfigLookupResult *lookup_result);

#### Parameters

lookup_result | an EConfigLookupResult |

#### Returns

password to store with this `lookup_result` , or `NULL` for none

Since: 3.28

### e_config_lookup_result_configure_source ()

    gboolean
    e_config_lookup_result_configure_source
                                   (EConfigLookupResult *lookup_result,
                                    struct _EConfigLookup *config_lookup,
                                    ESource *source);

Configures the `source` with the looked up configuration. The `config_lookup` can be used to get other than the provided `source` .

#### Parameters

lookup_result | an EConfigLookupResult |
config_lookup | an EConfigLookup |
source | an ESource to configure |

#### Returns

`TRUE` when made any changes to the `source` , `FALSE` otherwise

Since: 3.26

### e_config_lookup_result_compare ()

    gint
    e_config_lookup_result_compare (gconstpointer lookup_result_a,
                                    gconstpointer lookup_result_b);

Compares two EConfigLookupResult objects, and returns value less than 0, when `lookup_result_a` is before `lookup_result_b` , 0 when they are the same and value greater than 0, when `lookup_result_a` is after `lookup_result_b` .

The comparison is done on kind, is-complete, priority and display name values, in this order. Due to this it doesn't mean that the two results are equal when the function returns 0, use `e_config_lookup_result_equal()` to check complete equality instead.

#### Parameters

lookup_result_a | the first EConfigLookupResult |
lookup_result_b | the second EConfigLookupResult |

#### Returns

`strcmp()`-like value, what the position between `lookup_result_a` and `lookup_result_b` is.

Since: 3.26

### e_config_lookup_result_equal ()

    gboolean
    e_config_lookup_result_equal (gconstpointer lookup_result_a,
                                  gconstpointer lookup_result_b);

#### Parameters

lookup_result_a | the first EConfigLookupResult |
lookup_result_b | the second EConfigLookupResult |

#### Returns

whether the two results are the same.

Since: 3.28

## Types and Values

### E_CONFIG_LOOKUP_RESULT_PRIORITY_IMAP

    #define E_CONFIG_LOOKUP_RESULT_PRIORITY_IMAP 1000

### E_CONFIG_LOOKUP_RESULT_PRIORITY_POP3

    #define E_CONFIG_LOOKUP_RESULT_PRIORITY_POP3 2000

### E_CONFIG_LOOKUP_RESULT_PRIORITY_SMTP

    #define E_CONFIG_LOOKUP_RESULT_PRIORITY_SMTP 1000